This URL updates inbound proxy rule.
Resource URL
PUT domain/sslconfiguration/inboundproxyrules/<ruleId>
Request Parameters
URL Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Rule id | Number | Yes |
Payload Parameters:
Field Name | Description | Data Type | Mandatory |
|---|---|---|---|
| Rule name | String | Yes |
| Comment | String | No |
| Destination web server IPs (CIDR) | String | Yes |
| List of web server certificates (All the web server certificates should be installed on exact same set of sensors) | Object | Yes |
| Default web server certificates (should be one of the web server certificates. If not given, any one of the web server certificates will be considered as default key.) | Object | No |
Response Parameters
Following fields are returned.
Field Name | Description | Data Type |
|---|---|---|
| Set to 1 if the operation was successful | Number |
| Rule id after update | Number |
Example
Request
PUT https://<NSM_IP>/sdkapi/domain/sslconfiguration/inboundproxyrules/5
Payload
{
“ruleName': “InboundProxyRule2”,
“comment”: “Rule 2”,
“destWebServerIPs”: “10.213.0.0/16”
“webServerCerts”: [{“keyAlias”: “NSAT_521_1024_SHA384”}],
“defaultKey': {“keyAlias”: “NSAT_521_1024_SHA384”}
}
Response
{
"status": 1
“ruleId”: 10
}
Error Information
Following error codes are returned by this URL:
S.No | HTTP Error Code | SDK API errorId | SDK API errorMessage |
|---|---|---|---|
1 | 500 | 2002 | Rule name already exist. Please add a unique name. |
2 | 500 | 2002 | Invalid destination web server IPs |
3 | 500 | 2002 | Destination web server IPs field is required |
4 | 500 | 2002 | Addition not allowed. |
5 | 500 | 2002 | Rule name: field should not be empty |
6 | 500 | 2002 | At least one web server certificate is required. |
7 | 500 | 2002 | Rule name: The maximum length for the field is 254 |
8 | 500 | 2002 | Maximum length for the comment is 254 |
9 | 500 | 2002 | Key alias does not exist Invalid |
10 | 500 | 2002 | InstalledOn set does not match |